# Class VersionProgram

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ProgramComponent
org.a11y.brlapi.Program
org.a11y.brlapi.programs.VersionProgram

All Implemented Interfaces:
  `Runnable`

public class VersionProgram extends Program

## Nested Class Summary

### Nested classes/interfaces inherited from class Program

`Program.Option`

## Field Summary

### Fields inherited from class Program

`USAGE_OPTIONAL_BEGIN, USAGE_OPTIONAL_END, USAGE_REPEATING_INDICATOR`

### Fields inherited from class ProgramComponent

`EXIT_CODE_EXTERNAL, EXIT_CODE_INTERNAL, EXIT_CODE_SEMANTIC, EXIT_CODE_SUCCESS, EXIT_CODE_SYNTAX`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`VersionProgram(String... arguments)`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`runProgram()`

### Methods inherited from class Program

`addOption, addOptionalParameters, addRepeatingParameter, addRequiredParameters, extendUsageSummary, getProgramName, getPurpose, getUsageSummary, isClient, onProgramException, processParameters, run, setProgramName, writeProgramMessage`

### Methods inherited from class ProgramComponent

`isClient, isClient`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VersionProgram

public VersionProgram(String... arguments)

## Method Details

### runProgram

protected final void runProgram()

Specified by:
  `runProgram` in class `Program`